Subject: Re: bug#64942: closed (Re: bug#64942: 30.0.50; Header Bar remains white in GNOME's Dark Style)

From: Utkarsh Singh <[email-masked]>
Date: Mon, 31 Jul 2023 16:21:10 +0530

Hello Po,

> > Hello,
> >
> > I have been using master with `-with-pgtk` option for the past 6
> > months. But recently, I think there is
> > a bug in PGTK build as it Header Bar remains white even when switching
> > to GNOME's Dark Style mode.
> >
> > Thank you,
> > Utkarsh Singh
>
> Emacs isn't a GNOME app, and doesn't use the library they use to
> implement GNOME's global style switch.  If you want to change the style
> used by Emacs's title bars, use GNOME Tweaks to modify the GTK
> stylesheet instead.
>
> Since this not a bug, I'm closing this ticket.  Thanks.

First of all, thank you for your contribution to Emacs in general.

I think there is some confusion. Earlier PGTK build and current GTK+
build changes the title bar color when switching to dark mode in
GNOME. I thought this was an regression and if not can you please tell
more about GTK stylesheets.

Also please find the attached screenshots of PGTK and GTK+ build.